[Numpy-discussion] OSX 10.4 installation problems

Robert Kern robert.kern@gmail....
Sat Mar 29 16:01:59 CDT 2008


On Sat, Mar 29, 2008 at 1:04 PM,  <mhgreen@uchicago.edu> wrote:
> Hi,
>
>  I cannot seem to install numpy on my mac.  Here is some
>  relevant info:
>
>  I have the following installed on my PPC G4 powerbook:
>
>  MacOSX 10.4.10
>  gcc version 4.0.0
>  gfortran version 4.2.1
>  fftw version 3.1.2
>  MacPython version 2.5.2
>  Xcode version 2.0
>
>  I have the unzipped numpy directory placed in
>  /Library/Frameworks/Python.framework/Versions/2.5/lib/python2.5/site-packages

No, don't do that. Unzip it somewhere else to build.

>  I am using the following command in terminal to try to install:
>
>  python setup.py install
>
>  I am getting a ton of errors, but the first few include:
>
>  Could not locate executable f95
>  Could not locate executable f90
>  Could not locate executable f77
>  Could not locate executable xlf90
>  Could not locate executable xlf
>  Could not locate executable ifort
>  Could not locate executable ifc
>  Could not locate executable g77
>
>  gcc: installation problem, cannot exec
>  'i686-apple-darwin8-gcc-4.0.0': No such file or directory

This is your main problem. Where did you get this gcc? I believe the
one that comes with the Developer Tools is 4.0.1.

-- 
Robert Kern

"I have come to believe that the whole world is an enigma, a harmless
enigma that is made terrible by our own mad attempt to interpret it as
though it had an underlying truth."
  -- Umberto Eco


More information about the Numpy-discussion mailing list